#!/hint/bash -euE
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

load_module "$(dirname -- "${BASH_SOURCE[0]}")/base-nginx.sh"

post_install+=(20:mothstuff-apex:post_install)
mothstuff-apex:post_install() {
	local arg_mountpoint=$1

	install -Dm644 /dev/stdin "$arg_mountpoint/etc/nginx/sites/mothstuff_apex.conf" <<-'EOF'
		# -*- mode: nginx; nginx-indent-level: 4; intent-tabs-mode: nil -*-
		server {
		    server_name mothstuff.lol;
		    include /etc/nginx/snippets/listen.conf;
		    error_log /var/log/nginx/main-error.http.mothstuff_lol.log error;

		    root /srv/http/mothstuff.lol;
		}
	EOF

	install -Dm644 /dev/stdin "$arg_mountpoint/srv/http/mothstuff.lol/index.html" <<'EOF'
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Umorpha Systems internal/skunkworks</title>
</head>
<body>
	<h1>Umorpha Systems internal/skunkworks</h1>

	<p>The <tt>mothstuff.lol</tt> domain is used by Umorpha
		Systems for things we don't want under the main
		<tt>umorpha.io</tt> domain.</p>

	<p>Servers:</p>
	<ul>
		<li><a href="https://mario.mothstuff.lol/"><tt>mario.mothstuff.lol</tt></a></li>
		<li><a href="https://luigi.mothstuff.lol/"><tt>luigi.mothstuff.lol</tt></a></li>
		<li><a href="https://eggman.mothstuff.lol/"><tt>eggman.mothstuff.lol</tt></a></li>
		<li><a href="https://sonic.mothstuff.lol/"><tt>sonic.mothstuff.lol</tt></a></li>
	</ul>

	<p>Services:</p>
	<ul>
		<li><a href="https://mothstuff.lol/"><tt>mothstuff.lol</tt>: This index</a></li>
		<li><a href="https://avatars.mothstuff.lol/"><tt>avatars.mothstuff.lol</tt></a></li>
		<li><a href="https://bookstack.mothstuff.lol/"><tt>bookstack.mothstuff.lol</tt>: wiki</a></li>
		<li><a href="https://ci.mothstuff.lol/"><tt>ci.mothstuff.lol</tt>: CI/CD</a></li>
		<li><a href="https://git.mothstuff.lol/"><tt>git.mothstuff.lol</tt>: Gitea</a></li>
		<li><a href="https://www.mothstuff.lol/"><tt>www.mothstuff.lol</tt>: mirror of the main site</a></li>
	</ul>

	<hr/>

	<p>Copyright (C) 2024 Umorpha Systems</p>
</body>
</html>
EOF

}
