#!/hint/bash -euE
# Copyright (C) 2024  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

load_module "$(dirname -- "${BASH_SOURCE[0]}")/base-nginx.sh"

post_install+=(20:www:post_install)
www:post_install() {
	local arg_mountpoint=$1

	install -Dm644 /dev/stdin "$arg_mountpoint/etc/nginx/sites/www.conf" <<-'EOF'
		# -*- mode: nginx; nginx-indent-level: 4; intent-tabs-mode: nil -*-
		server {
		    server_name www.mothstuff.lol www.umorpha.io;
		    include /etc/nginx/snippets/listen.conf;
		    error_log /var/log/nginx/main-error.http.www.log error;

		    root /srv/http/www.umorpha.io;
		}
	EOF
}
